Phone Numbers - Operator Information Search
Searches for number format and operator information for a given list of phone numbers.
POST {endpoint}/operatorInformation/:search?api-version=2025-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
The communication resource, for example https://resourcename.communication.azure.com |
|
api-version
|
query | True |
string |
Version of API to invoke |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| phoneNumbers | True |
string[] |
Phone number(s) whose operator information is being requested |
| options |
Represents options to modify a search request for operator information |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Failure |
Examples
Search for number format and operator information on phone numbers
Sample request
POST https://resourcename.communication.azure.com//operatorInformation/:search?api-version=2025-06-01
{
"phoneNumbers": [
"+11234567899"
],
"options": {
"includeAdditionalOperatorDetails": true
}
}
Sample response
{
"values": [
{
"phoneNumber": "+11234567899",
"nationalFormat": "+1 (123) 456-7899",
"internationalFormat": "+1 123 456 7899",
"numberType": "mobile",
"isoCountryCode": "US",
"operatorDetails": {
"name": "T-Mobile",
"mobileNetworkCode": "260",
"mobileCountryCode": "310"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Communication |
The Communication Services error. |
|
Communication |
The Communication Services error. |
|
Operator |
Represents metadata describing the operator of a phone number |
|
Operator |
Represents metadata about a phone number that is controlled/provided by that phone number's operator. |
|
Operator |
Represents options to modify a search request for operator information |
|
Operator |
Represents a search request for operator information for the given phone numbers. |
|
Operator |
Represents a search result containing format and operator information associated with the requested phone numbers |
|
Operator |
Type of service associated with the phone number |
CommunicationError
The Communication Services error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
Further details about specific errors that led to this error. |
|
| innererror |
The inner error if any. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
CommunicationErrorResponse
The Communication Services error.
| Name | Type | Description |
|---|---|---|
| error |
The Communication Services error. |
OperatorDetails
Represents metadata describing the operator of a phone number
| Name | Type | Description |
|---|---|---|
| mobileCountryCode |
string |
Mobile Country Code, 3 decimal digits that identify a country/region |
| mobileNetworkCode |
string |
Mobile Network Code, 2 or 3 decimal digits that identify mobile networks within a country/region |
| name |
string |
Name of the phone operator |
OperatorInformation
Represents metadata about a phone number that is controlled/provided by that phone number's operator.
| Name | Type | Description |
|---|---|---|
| internationalFormat |
string |
International format of the phone number |
| isoCountryCode |
string |
ISO 3166-1 two character ('alpha-2') code associated with the phone number. |
| nationalFormat |
string |
National format of the phone number |
| numberType |
Type of service associated with the phone number |
|
| operatorDetails |
Represents metadata describing the operator of a phone number |
|
| phoneNumber |
string |
E.164 formatted string representation of the phone number |
OperatorInformationOptions
Represents options to modify a search request for operator information
| Name | Type | Description |
|---|---|---|
| includeAdditionalOperatorDetails |
boolean |
Includes the fields operatorDetails, numberType, and isoCountryCode in the response. Please note: use of this option will result in additional costs |
OperatorInformationRequest
Represents a search request for operator information for the given phone numbers.
| Name | Type | Description |
|---|---|---|
| options |
Represents options to modify a search request for operator information |
|
| phoneNumbers |
string[] |
Phone number(s) whose operator information is being requested |
OperatorInformationResult
Represents a search result containing format and operator information associated with the requested phone numbers
| Name | Type | Description |
|---|---|---|
| values |
Results of a search. This array will have one entry per requested phone number which will contain the relevant operator information. |
OperatorNumberType
Type of service associated with the phone number
| Value | Description |
|---|---|
| unknown | |
| other | |
| geographic | |
| mobile |